Skip to main content
GET
/
v1
/
countings
List countings
curl --request GET \
  --url https://api.algure.com/v1/countings \
  --header 'Authorization: Basic <encoded-value>'
{
  "items": [
    {
      "id": "<string>",
      "startedAt": "2023-11-07T05:31:56Z",
      "endsAt": "2023-11-07T05:31:56Z",
      "warehouse": {
        "name": "<string>",
        "id": 123,
        "code": "<string>",
        "slug": "<string>"
      },
      "active": true,
      "participants": [
        {
          "id": 123,
          "username": "<string>"
        }
      ],
      "totalProducts": 123,
      "totalProductsCounted": 123,
      "totalProductsLeft": 123,
      "totalDiscrepancies": 123,
      "totalIncidents": 123
    }
  ],
  "meta": {
    "links": {
      "self": {
        "href": "<string>"
      },
      "first": {
        "href": "<string>"
      },
      "next": {
        "href": "<string>"
      }
    },
    "total": 123,
    "cursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Use Integration API credentials as HTTP Basic auth (username: client id, password: client secret).

Query Parameters

limit
number

Maximum number of objects to return. Allowed range: 1–100. Default is 10.

cursor
string

Pagination cursor indicating a position in the list.

warehouse
string

List countings of a specific warehouse

startedBefore
string

List countings started before a specific datetime (ISO 8601)

startedAfter
string

List countings started after a specific datetime (ISO 8601)

Response

200 - application/json

The counting list

items
object[]
required
meta
object
required